import java.awt.*;
import java.applet.*;
import jrad.util.*;

public class jradutil extends Applet implements WizardListener {

    protected Button wizardButton;

    public void init() {
        super.init();

        // Initialize the applet
        setBackground(Color.lightGray);
        setLayout(new BorderLayout());
        setFont(new Font("Dialog", Font.PLAIN, 9));

        // Create a panel that shows tool tips
        ToolTipPanel toolTipPanel = new ToolTipPanel();
        toolTipPanel.setLayout(new BorderLayout());
        add("Center", toolTipPanel);

        // Create a panel that handles tabbing
        TabbingPanel tabbingPanel = new TabbingPanel();
        tabbingPanel.setLayout(new BorderLayout());
        toolTipPanel.add("Center", tabbingPanel);

        // Add a toolbar
        ToolBarPanel toolBarPanel = new ToolBarPanel();
        ImageButton button1 = new ImageButton(getImage(getCodeBase(), "search.gif"), "Search");
        toolBarPanel.addComponent(button1);
        ImageButton button2 = new ImageButton(getImage(getCodeBase(), "browse.gif"), "Browse");
        toolBarPanel.addComponent(button2);
        ImageButton button3 = new ImageButton(getImage(getCodeBase(), "add.gif"), "Add");
        toolBarPanel.addComponent(button3);
        toolBarPanel.addSpace();
        ImageButton button4 = new ImageButton(getImage(getCodeBase(), "import.gif"), "Import", true);
        toolBarPanel.addComponent(button4);
        toolBarPanel.tryToWaitForImages();
        tabbingPanel.add("North", toolBarPanel);

        // Add folder tabs
        FolderTabPanel folderTabPanel = new FolderTabPanel();
        tabbingPanel.add("Center", folderTabPanel);

        // Add a tab with a groupbox
        GroupBoxPanel groupBoxPanel = new GroupBoxPanel("Sample Groupbox");
        Checkbox checkbox = new Checkbox("I like Java");
        groupBoxPanel.add(checkbox);
        folderTabPanel.addPanel(groupBoxPanel, "GroupBox");

        // Add a tab that demos tabbing between components
        Panel panel = new Panel();
        TextField textField1 = new TextField("You can", 40);
        panel.add(textField1);
        TextField textField2 = new TextField("tab from", 40);
        panel.add(textField2);
        TextField textField3 = new TextField("field to field", 40);
        panel.add(textField3);
        folderTabPanel.addPanel(panel, "Tabbing");

        // Add a tab which demos a WizardDialog
        Panel wizardPanel = new Panel();
        wizardButton = new Button("Demo Wizard");
        wizardPanel.add(wizardButton);
        folderTabPanel.addPanel(wizardPanel, "Wizard");

        // Set the tab order
        Component[] tabOrder = new Component[5];
        tabOrder[0] = checkbox;
        tabOrder[1] = textField1;
        tabOrder[2] = textField2;
        tabOrder[3] = textField3;
        tabOrder[4] = wizardButton;
        tabbingPanel.setTabOrder(tabOrder);
    }

    // Handle a click on the Wizard button
    public boolean handleEvent(Event event) {
        if ((event.id == Event.ACTION_EVENT) && (event.target == wizardButton)) {
            doWizard();
            return true;
        }
        return super.handleEvent(event);
    }

    // Create a demo WizardDialog
    protected void doWizard() {
    WizardDialog wizardDialog = new WizardDialog(this, "Demo Wizard");

    // Load the WizardDialog's image
    MediaTracker mediaTracker = new MediaTracker(this);
    Image image = getImage(getCodeBase(), "wizard.gif");
    mediaTracker.addImage(image, 0);
    try {
        mediaTracker.waitForAll();
    }
    catch(InterruptedException e) {
    }

    // Add a page
    Panel panel1 = new Panel();
    NoMarginLabel label1 = new NoMarginLabel("What is the color of your hair:");
    panel1.setLayout(new FlowLayout(FlowLayout.LEFT));
    panel1.add(label1);
    TextField textField1 = new TextField("Purple", 30);
    panel1.add(textField1);
    wizardDialog.addPanel(panel1, image);

    // Add another page
    Panel panel2 = new Panel();
    panel2.setLayout(new FlowLayout(FlowLayout.LEFT));
    NoMarginLabel label2 = new NoMarginLabel("How many fingers do you have:");
    panel2.add(label2);
    TextField textField2 = new TextField("36", 30);
    panel2.add(textField2);
    wizardDialog.addPanel(panel2, image);

    wizardDialog.show();
    }

    // Callback from the WizardDialog that executes when the Finish button is clicked
    public void receiveResponse(WizardDialog wizardDialog) {
    }
}
